# $Revision: 1.15 $, $Date: 2008/10/03 17:53:52 $
%define		module	mmpython
Summary:	Media Metadata for Python
Summary(pl.UTF-8):	Metadane multimedialne dla Pythona
Name:		python-%{module}
Version:	0.4.9
Release:	2
License:	LGPL
Group:		Libraries/Python
Source0:	http://dl.sourceforge.net/mmpython/%{module}-%{version}.tar.gz
# Source0-md5:	f95699c2f4249d21105d7977a15d5dcc
Patch0:		%{name}-intypes.patch
URL:		http://sourceforge.net/projects/mmpython/
BuildRequires:	libdvdread-devel
BuildRequires:	python-devel
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.219
%pyrequires_eq	python-modules
Requires:	python-PyXML
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
MMPython is a Media Meta Data retrieval framework. It retrieves
metadata from MP3, Ogg, AVI, JPG, TIFF and other file formats. Among
others it thereby parses ID3v2, ID3v1, EXIF, IPTC and Vorbis data into
an object oriented struture.

%description -l pl.UTF-8
MMPython to szkielet do odczytywania metadanych z multimediów.
Odtwarza metadane z plików MP3, Ogg, AVI, JPG, TIFF i innych formatów.
Między innymi przetwarza dane ID3v2, TD3v1, EXIF, IPTC i Vorbis na
struktury zorientowane obiektowo.

%prep
%setup -q -n %{module}-%{version}
%patch0 -p1

%build
CFLAGS="%{rpmcflags}" \
python setup.py build

%install
rm -rf $RPM_BUILD_ROOT

python setup.py install \
	--optimize=2 \
	--root=$RPM_BUILD_ROOT \
	--install-platlib=%{py_sitescriptdir}

%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*
%{py_sitescriptdir}/%{module}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-mmpython.spec,v $
Revision 1.15  2008/10/03 17:53:52  arekm
- release 2

Revision 1.14  2007-02-13 08:06:43  glen
- tabs in preamble

Revision 1.13  2007/02/12 01:06:29  baggins
- converted to UTF-8

Revision 1.12  2006/06/27 06:45:10  charles
- added -intypes.patch (fixed build)
- R: python-PyXML

Revision 1.11  2005/11/17 14:12:07  charles
- updated to 0.4.9
- use %py_postclean macro, updated BRs

Revision 1.10  2005/04/09 15:06:54  charles
- updated to 0.4.8
- BR: python-modules

Revision 1.9  2005/03/12 12:32:37  troll
- mass commit: remove obsolete BR: rpm-pythonprov

Revision 1.8  2004/12/25 18:06:45  radzio
- don't install *py files
- mv *py[co] form %{py_sitedir} t0 %{py_sitescritpdir}

Revision 1.7  2004/12/25 15:46:25  saq
- release 2 for rebuild with python 2.4

Revision 1.6  2004/12/17 15:45:20  darekr
- updated to 0.4.7

Revision 1.5  2004/10/24 21:04:48  paladine
- spelling fixes, uppercases, etc.

Revision 1.4  2004/10/04 11:22:38  wiget
- updated to 0.4.6

Revision 1.3  2004/08/30 20:27:46  qboosh
- BR: libdvdread-devel
- glib-devel and pkgconfig not used (copy-pasto?)

Revision 1.2  2004/08/30 20:08:55  qboosh
- pl, description, missing dir

Revision 1.1  2004/08/30 18:40:24  adasi
- new spec - needs some cosmetics
